Subject: Re: [PATCH RFC net-next v4 2/2] selftests/dpll: add DPLL system integration selftests

From: Jakub Kicinski <[email-masked]>
Date: Mon, 4 Dec 2023 19:02:18 -0800

On Mon, 4 Dec 2023 12:44:44 +0000 Michalik, Michal wrote:
> > Hm, FWIW I manged to get virtme-ng to work (I was pointing it at a
> > vmlinux not bzImage which it expects). But vmtest is still unhappy.
> > 
> > $ vmtest -k build/vmlinux "echo Running!"  
> > => vmlinux
> > ===> Booting  
> > Failed to connect QGA
> > 
> > Caused by:
> >     Timed out waiting for QGA connection
> >   
> 
> I have seen this before I got the proper qemu version, actually I
> compiled it from scratch:
>  $ qemu-system-x86_64 --version
>   QEMU emulator version 8.1.3
> 
> Which version of qemu are you using?

7.2.6

Building Qemu from source won't work for me if the CI is supposed to
depend on it. I asked Daniel on GH, let's see what he says.

> Btw. I agree that logs for vmtest are not very helpful, the
> .vmtest.log file is basically empty for me every time.
> 
> > 
> > Are you on Ubuntu? I'm on Fedora. Maybe it has some distro deps :(
> >   
> 
> I'm using Rocky, so kind of similar to Fedora.
>   $ cat /etc/rocky-release
>   Rocky Linux release 9.2 (Blue Onyx)
> 
> Also, installed qemu-guest-agent and edk2-ovmf packages according to
> vmtest instructions. Have you installed those?

Yup, I have those.

> > Calling out to YNL, manipulating network namespaces, manipulating
> > netdevsim instances, etc - will be fairly common for a lot of networking
> > tests.
> > 
> > There's already some code in tools/testing/selftests/bpf/test_offload.py
> > which is likely Python-incompetent cause I wrote it. But much like YNL
> > it'd be nice if it was available for new tests for reuse.
> >   
> 
> I will familiarize myself with that - thanks for pointing that out.

To be clear - I'm not claiming that test_offload.py is beautiful 
code :) Just that the problem of accessing shared code exists more
broadly.

> > Can we somehow "add to python's library search path" or some such?  
> 
> Yeah, we might consider using PYTHONPATH in this "new common lib place":
> https://docs.python.org/3/using/cmdline.html#envvar-PYTHONPATH

👍️